Bug 1632550 - Importing btrfs on python3 fails
Summary: Importing btrfs on python3 fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-btrfs
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-25 04:14 UTC by Ed Marshall
Modified: 2018-10-31 16:40 UTC (History)
1 user (show)

Fixed In Version: python-btrfs-9.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-31 16:40:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Ed Marshall 2018-09-25 04:14:26 UTC
Description of problem:
Importing btrfs from the python3-btrfs package fails immediately upon import with an exception.

Version-Release number of selected component (if applicable):
python3-btrfs-8-5.fc29.noarch

How reproducible:
Every time.

Steps to Reproduce:
Just import it. btrfs-heatmap uses the python3 version, if you want an example of something in the distribution that fails as a result of this.

Actual results:
$ python3
Python 3.7.0 (default, Aug 30 2018, 14:32:33)
[GCC 8.2.1 20180801 (Red Hat 8.2.1-2)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import btrfs
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.7/site-packages/btrfs/__init__.py", line 23, in <module>
    from btrfs.ctree import FileSystem  # noqa
  File "/usr/lib/python3.7/site-packages/btrfs/ctree.py", line 352, in <module>
    import btrfs.ioctl  # noqa
  File "/usr/lib/python3.7/site-packages/btrfs/ioctl.py", line 215, in <module>
    ioctl_search_key.format.decode(), 4096 - ioctl_search_key.size))
AttributeError: 'str' object has no attribute 'decode'

Expected results:
No errors.

Comment 1 Ed Marshall 2018-09-25 04:16:27 UTC
I just checked upstream, and this has been reported there; it's new as of Python 3.7: https://github.com/knorrie/python-btrfs/issues/13

Comment 2 Fedora Update System 2018-10-12 07:15:49 UTC
python-btrfs-8-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4229c37d88

Comment 3 Fedora Update System 2018-10-12 18:26:07 UTC
python-btrfs-8-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4229c37d88

Comment 4 Fedora Update System 2018-10-22 20:26:07 UTC
python-btrfs-9.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-805b5852c0

Comment 5 Fedora Update System 2018-10-23 17:10:00 UTC
python-btrfs-9.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-805b5852c0

Comment 6 Fedora Update System 2018-10-31 16:40:42 UTC
python-btrfs-9.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.